[kde-community] [RFC] Current distribution base of CI system

Ben Cooksley bcooksley at kde.org
Fri May 31 09:24:25 UTC 2013


Hi all,

As some of you are aware, the current base distribution of
build.kde.org nodes, openSUSE 12.1, is now beginning to show it's age.
This has taken the form of dependencies not being available, or too
old to be used.

In recent days, this has caused the builds of KAlgebra (too old
Analitza) and KDE Workspace (too old XCB / X) to fail. Further, some
features of Qt 5 are not supported (due to X being too old) as well
and Wayland is not available in any form.

I'd like to request suggestions from the community for suggestions to fix this.

With regards to changing distribution - we use LXC which does not
support systemd except in it's most recent version (0.9.0), and this
is not available on any of the three physical hosts of the build nodes
at the moment - so we cannot use any systemd based distro.

Thanks,
Ben Cooksley
KDE Sysadmin



More information about the kde-community mailing list